[Gpg4win-commits] [git] Gpg4win - branch, KDE/4.10-update, updated. gpg4win-2.1.0-136-ge36dd9f
by Andre Heinecke
cvs at cvs.gnupg.org
Tue Apr 23 11:14:38 CEST 2013
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GnuPG for Windows".
The branch, KDE/4.10-update has been updated
via e36dd9fa2f1ad24d1e4d6b51ce287510d2467e8a (commit)
via 9c3fe1f3aefee3fbf0f4c2286a7c5762b3616af5 (commit)
from 8a067bd97e7160b0c26c1d45899c0c68bcccae29 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit e36dd9fa2f1ad24d1e4d6b51ce287510d2467e8a
Author: Andre Heinecke <aheinecke at intevation.de>
Date: Tue Apr 23 08:56:20 2013 +0000
Fix declaration of lock_set_foreground_window ptr
WINUSERAPI is expanded to dllimport which is not what we want
if we load the symbol at runtime. This produces an error
with mingw-w64 4.6.3-14+8
* patches/pinentry-0.8.1/02-winuserapi-fix.patch: New.
diff --git a/patches/pinentry-0.8.1/02-winuserapi-fix.patch b/patches/pinentry-0.8.1/02-winuserapi-fix.patch
new file mode 100755
index 0000000..8627c7d
--- /dev/null
+++ b/patches/pinentry-0.8.1/02-winuserapi-fix.patch
@@ -0,0 +1,25 @@
+#! /bin/sh
+# Ignore whitespace is necessary because the original context of the patch
+# contains whitespace errors
+patch -p0 -f --ignore-whitespace $* < $0
+exit $?
+
+2013-04-23 Andre Heinecke <aheinecke at intevation.de>
+
+ Fix build be removing WINUSERAPI macro from
+ lock_set_foreground_window pointer declaration as this
+ can be expaned to dllimport.
+
+ * w32/main.c: Remove wrong use of WINUSERAPI
+
+--- main.c.orig 2013-04-23 08:08:12.594967689 +0000
++++ main.c 2013-04-23 08:08:21.806888837 +0000
+@@ -46,7 +46,7 @@
+
+ /* This function pointer gets initialized in main. */
+ #ifndef HAVE_W32CE_SYSTEM
+-static WINUSERAPI BOOL WINAPI (*lock_set_foreground_window)(UINT);
++static BOOL WINAPI (*lock_set_foreground_window)(UINT);
+ #endif
+
+ static int w32_cmd_handler (pinentry_t pe);
commit 9c3fe1f3aefee3fbf0f4c2286a7c5762b3616af5
Author: Andre Heinecke <aheinecke at intevation.de>
Date: Tue Apr 23 08:52:10 2013 +0000
Fix ressource compilation of pinentry-w32
MSDN says that to use the Dialog Styles one should include
windows.h and this is also necessary with at least
mingw-w64 4.6.3-14+8 otherwise there is a syntax error because
the DS_* macros are not defined
* patches/pinentry-0.8.1/01-windres-imports.patch: New.
diff --git a/patches/pinentry-0.8.1/01-windres-imports.patch b/patches/pinentry-0.8.1/01-windres-imports.patch
new file mode 100755
index 0000000..895a303
--- /dev/null
+++ b/patches/pinentry-0.8.1/01-windres-imports.patch
@@ -0,0 +1,22 @@
+#! /bin/sh
+# Ignore whitespace is necessary because the original context of the patch
+# contains whitespace errors
+patch -p0 -f --ignore-whitespace $* < $0
+exit $?
+
+2013-04-23 Andre Heinecke <aheinecke at intevation.de>
+
+ Fix imports to resolve Dialog Box Styles (DS_* macros)
+
+ * w32/pinentry-w32.rc: Add windows.h include
+
+--- w32/pinentry-w32.rc.orig 2013-04-23 07:52:21.003217275 +0000
++++ w32/pinentry-w32.rc 2013-04-23 07:52:24.827183878 +0000
+@@ -18,6 +18,7 @@
+
+ #include <config.h>
+ #include <winuser.h>
++#include <windows.h>
+ #include "resource.h"
+
+ /*
-----------------------------------------------------------------------
Summary of changes:
patches/pinentry-0.8.1/01-windres-imports.patch | 22 ++++++++++++++++++++
patches/pinentry-0.8.1/02-winuserapi-fix.patch | 25 +++++++++++++++++++++++
2 files changed, 47 insertions(+), 0 deletions(-)
create mode 100755 patches/pinentry-0.8.1/01-windres-imports.patch
create mode 100755 patches/pinentry-0.8.1/02-winuserapi-fix.patch
hooks/post-receive
--
GnuPG for Windows
http://git.gnupg.org
More information about the Gpg4win-commits
mailing list